## micro 1.4.1

=== Makefile ===
.PHONY: runtime

VERSION := $(shell GOOS=$(shell go env GOHOSTOS) GOARCH=$(shell go env GOHOSTARCH) \
	go run tools/build-version.go)
HASH := $(shell git rev-parse --short HEAD)
DATE := $(shell GOOS=$(shell go env GOHOSTOS) GOARCH=$(shell go env GOHOSTARCH) \
	go run tools/build-date.go)
ADDITIONAL_GO_LINKER_FLAGS := $(shell GOOS=$(shell go env GOHOSTOS) \
	GOARCH=$(shell go env GOHOSTARCH) \
	go run tools/info-plist.go "$(VERSION)")
GOBIN ?= $(shell go env GOPATH)/bin

# Builds micro after checking dependencies but without updating the runtime
build: update
	go build -ldflags "-s -w -X main.Version=$(VERSION) -X main.CommitHash=$(HASH) -X 'main.CompileDate=$(DATE)' $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro

# Builds micro after building the runtime and checking dependencies
build-all: runtime build

# Builds micro without checking for dependencies
build-quick:
	go build -ldflags "-s -w -X main.Version=$(VERSION) -X main.CommitHash=$(HASH) -X 'main.CompileDate=$(DATE)' $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro

# Same as 'build' but installs to $GOBIN afterward
install: update
	go install -ldflags "-s -w -X main.Version=$(VERSION) -X main.CommitHash=$(HASH) -X 'main.CompileDate=$(DATE)' $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro

# Same as 'build-all' but installs to $GOBIN afterward
install-all: runtime install

# Same as 'build-quick' but installs to $GOBIN afterward
install-quick:
	go install -ldflags "-s -w -X main.Version=$(VERSION) -X main.CommitHash=$(HASH) -X 'main.CompileDate=$(DATE)' $(ADDITIONAL_GO_LINKER_FLAGS)"  ./cmd/micro

update:
	git pull
	git submodule update --init

# Builds the runtime
runtime:
	go get -u github.com/jteeuwen/go-bindata/...
	$(GOBIN)/go-bindata -nometadata -o runtime.go runtime/...
	mv runtime.go cmd/micro
	gofmt -w cmd/micro/runtime.go

test:
	go test ./cmd/micro

clean:
	rm -f micro

=== debian/changelog ===
micro (1.4.1-2) unstable; urgency=medium

  * Source-only upload

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Sat, 28 Dec 2019 21:45:33 +0530

micro (1.4.1-1) unstable; urgency=medium

  [ Raju Devidas, Jongmin Kim ]
  * Initial release (Closes: #888813)

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Wed, 25 Dec 2019 11:59:59 +0530

=== debian/control ===
Source: micro
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Raju Devidas <rajudev@disroot.org>,
           Utkarsh Gupta <guptautkarsh2102@gmail.com>
Section: editors
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-blang-semver-dev,
               golang-github-dustin-go-humanize-dev,
               golang-github-go-errors-errors-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-sergi-go-diff-dev,
               golang-github-smartystreets-goconvey-dev,
               golang-github-yuin-gopher-lua-dev,
               golang-github-zyedidia-clipboard-dev,
               golang-github-zyedidia-glob-dev,
               golang-github-zyedidia-tcell-dev,
               golang-layeh-gopher-luar-dev,
               golang-yaml.v2-dev,
               golang-github-zyedidia-terminal-dev,
               golang-github-flynn-json5-dev,
               golang-github-zyedidia-pty-dev,
               golang-github-robertkrimen-otto-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/micro
Vcs-Git: https://salsa.debian.org/go-team/packages/micro.git
Homepage: https://micro-editor.github.io
XS-Go-Import-Path: github.com/zyedidia/micro
Rules-Requires-Root: no

Package: micro
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: xclip
Built-Using: ${misc:Built-Using}
Description: modern and intuitive terminal-based text editor
 micro is a terminal-based text editor that aims to be easy to use and
 intuitive, while also taking advantage of the full capabilities of
 modern terminals.
 .
 As the name indicates, micro aims to be somewhat of a successor to the
 nano editor by being easy to install and use.

## micro 2.0.0

=== debian/changelog ===
micro (2.0.0-2) unstable; urgency=medium

  * Tighten dependency on golang-github-zyedidia-tcell-dev

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 13 Feb 2020 23:06:50 +0530

micro (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * Add patch to use original fork
  * Update d/copyright wrt 2.0.0
  * Fix d/control wrt cme
  * Use @d.o address
  * Add dependency on golang-github-kballard-go-shellquote-dev

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 12 Feb 2020 06:09:16 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: micro
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Raju Devidas <rajudev@disroot.org>,
-           Utkarsh Gupta <guptautkarsh2102@gmail.com>
+           Utkarsh Gupta <utkarsh@debian.org>
 Section: editors
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -19,19 +19,20 @@
                golang-github-yuin-gopher-lua-dev,
                golang-github-zyedidia-clipboard-dev,
                golang-github-zyedidia-glob-dev,
-               golang-github-zyedidia-tcell-dev,
+               golang-github-zyedidia-tcell-dev (>= 0.0~git20200210.f7f063a),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
                golang-github-zyedidia-terminal-dev,
                golang-github-flynn-json5-dev,
                golang-github-zyedidia-pty-dev,
+               golang-github-kballard-go-shellquote-dev,
                golang-github-robertkrimen-otto-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/micro
 Vcs-Git: https://salsa.debian.org/go-team/packages/micro.git
 Homepage: https://micro-editor.github.io
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/zyedidia/micro
-Rules-Requires-Root: no
 
 Package: micro
 Architecture: any

## micro 2.0.1

=== Makefile ===
.PHONY: runtime

VERSION = $(shell GOOS=$(shell go env GOHOSTOS) GOARCH=$(shell go env GOHOSTARCH) \
	go run tools/build-version.go)
HASH = $(shell git rev-parse --short HEAD)
DATE = $(shell GOOS=$(shell go env GOHOSTOS) GOARCH=$(shell go env GOHOSTARCH) \
	go run tools/build-date.go)
ADDITIONAL_GO_LINKER_FLAGS = $(shell GOOS=$(shell go env GOHOSTOS) \
	GOARCH=$(shell go env GOHOSTARCH))
GOBIN ?= $(shell go env GOPATH)/bin
GOVARS = -X github.com/zyedidia/micro/internal/util.Version=$(VERSION) -X github.com/zyedidia/micro/internal/util.CommitHash=$(HASH) -X 'github.com/zyedidia/micro/internal/util.CompileDate=$(DATE)' -X github.com/zyedidia/micro/internal/util.Debug=OFF

# Builds micro after checking dependencies but without updating the runtime
build:
	go build -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro

build-dbg:
	go build -ldflags "-s -w $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro

# Builds micro after building the runtime and checking dependencies
build-all: runtime build

# Builds micro without checking for dependencies
build-quick:
	go build -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro

# Same as 'build' but installs to $GOBIN afterward
install:
	go install -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro

# Same as 'build-all' but installs to $GOBIN afterward
install-all: runtime install

# Same as 'build-quick' but installs to $GOBIN afterward
install-quick:
	go install -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)"  ./cmd/micro

# Builds the runtime
runtime:
	git submodule update --init
	go run runtime/syntax/make_headers.go runtime/syntax
	go build -o tools/bindata ./tools/go-bindata
	tools/bindata -pkg config -nomemcopy -nometadata -o runtime.go runtime/...
	mv runtime.go internal/config
	gofmt -w internal/config/runtime.go

test:
	go test ./internal/...

clean:
	rm -f micro

=== debian/changelog ===
micro (2.0.1-1ubuntu0.2) focal-security; urgency=medium

  * No-change rebuild for golang-golang-x-text 

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 20 Jan 2023 15:03:45 +0100

micro (2.0.1-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 03:02:29 +0200

micro (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * Tighten dependency on golang-github-zyedidia-tcell-dev
  * Refresh patch

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 22 Feb 2020 16:53:49 +0530

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: micro
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Raju Devidas <rajudev@disroot.org>,
            Utkarsh Gupta <utkarsh@debian.org>
 Section: editors
@@ -19,7 +20,7 @@
                golang-github-yuin-gopher-lua-dev,
                golang-github-zyedidia-clipboard-dev,
                golang-github-zyedidia-glob-dev,
-               golang-github-zyedidia-tcell-dev (>= 0.0~git20200210.f7f063a),
+               golang-github-zyedidia-tcell-dev (>= 1.4.4),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
                golang-github-zyedidia-terminal-dev,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/micro-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/zyedidia/micro/tags .*/v?(\d\S*)\.tar\.gz

## micro 2.0.3

=== Makefile ===
--- 
+++ 
@@ -8,14 +8,19 @@
 ADDITIONAL_GO_LINKER_FLAGS = $(shell GOOS=$(shell go env GOHOSTOS) \
 	GOARCH=$(shell go env GOHOSTARCH))
 GOBIN ?= $(shell go env GOPATH)/bin
-GOVARS = -X github.com/zyedidia/micro/internal/util.Version=$(VERSION) -X github.com/zyedidia/micro/internal/util.CommitHash=$(HASH) -X 'github.com/zyedidia/micro/internal/util.CompileDate=$(DATE)' -X github.com/zyedidia/micro/internal/util.Debug=OFF
+GOVARS = -X github.com/zyedidia/micro/internal/util.Version=$(VERSION) -X github.com/zyedidia/micro/internal/util.CommitHash=$(HASH) -X 'github.com/zyedidia/micro/internal/util.CompileDate=$(DATE)'
+DEBUGVAR = -X github.com/zyedidia/micro/internal/util.Debug=ON
+VSCODE_TESTS_BASE_URL = 'https://raw.githubusercontent.com/microsoft/vscode/e6a45f4242ebddb7aa9a229f85555e8a3bd987e2/src/vs/editor/test/common/model/'
 
 # Builds micro after checking dependencies but without updating the runtime
 build:
 	go build -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
 
 build-dbg:
-	go build -ldflags "-s -w $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
+	go build -ldflags "-s -w $(ADDITIONAL_GO_LINKER_FLAGS) $(DEBUGVAR)" ./cmd/micro
+
+build-tags: fetch-tags
+	go build -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
 
 # Builds micro after building the runtime and checking dependencies
 build-all: runtime build
@@ -35,6 +40,9 @@
 install-quick:
 	go install -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)"  ./cmd/micro
 
+fetch-tags:
+	git fetch --tags
+
 # Builds the runtime
 runtime:
 	git submodule update --init
@@ -44,8 +52,20 @@
 	mv runtime.go internal/config
 	gofmt -w internal/config/runtime.go
 
+testgen:
+	mkdir -p tools/vscode-tests
+	cd tools/vscode-tests && \
+	curl --remote-name-all $(VSCODE_TESTS_BASE_URL){editableTextModelAuto,editableTextModel,model.line}.test.ts
+	tsc tools/vscode-tests/*.ts > /dev/null; true
+	go run tools/testgen.go tools/vscode-tests/*.js > buffer_generated_test.go
+	mv buffer_generated_test.go internal/buffer
+	gofmt -w internal/buffer/buffer_generated_test.go
+
 test:
 	go test ./internal/...
 
+bench:
+	go test -bench=. ./internal/...
+
 clean:
 	rm -f micro

=== debian/changelog ===
micro (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3
    - Support +LINE:COL flag syntax for cursor position (Closes: #953427)
  * Make d/watch cleaner
  * Refresh patch

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 16 Apr 2020 17:53:55 +0530

micro (2.0.2-3) unstable; urgency=medium

  * Tweak d/rules to just show the upstream version and not the Debian revision
  * Use DEB_VERSION from /usr/share/dpkg/pkg-info.mk
  * Refresh patch

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 09 Apr 2020 16:26:10 +0530

micro (2.0.2-2) unstable; urgency=medium

  * Fix micro versioning issue (Closes: #953400)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 17 Mar 2020 03:32:17 +0530

micro (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
    - Don't create log.txt (Closes: #952283)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 29 Feb 2020 01:24:14 +0530

=== debian/watch ===
version=4
https://github.com/zyedidia/micro/releases .*/v?(\d\S*)\.tar\.gz

## micro 2.0.4

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 ADDITIONAL_GO_LINKER_FLAGS = $(shell GOOS=$(shell go env GOHOSTOS) \
 	GOARCH=$(shell go env GOHOSTARCH))
 GOBIN ?= $(shell go env GOPATH)/bin
-GOVARS = -X github.com/zyedidia/micro/internal/util.Version=$(VERSION) -X github.com/zyedidia/micro/internal/util.CommitHash=$(HASH) -X 'github.com/zyedidia/micro/internal/util.CompileDate=$(DATE)'
-DEBUGVAR = -X github.com/zyedidia/micro/internal/util.Debug=ON
+GOVARS = -X github.com/zyedidia/micro/v2/internal/util.Version=$(VERSION) -X github.com/zyedidia/micro/v2/internal/util.CommitHash=$(HASH) -X 'github.com/zyedidia/micro/v2/internal/util.CompileDate=$(DATE)'
+DEBUGVAR = -X github.com/zyedidia/micro/v2/internal/util.Debug=ON
 VSCODE_TESTS_BASE_URL = 'https://raw.githubusercontent.com/microsoft/vscode/e6a45f4242ebddb7aa9a229f85555e8a3bd987e2/src/vs/editor/test/common/model/'
 
 # Builds micro after checking dependencies but without updating the runtime
@@ -65,7 +65,21 @@
 	go test ./internal/...
 
 bench:
-	go test -bench=. ./internal/...
+	for i in 1 2 3; do \
+		go test -bench=. ./internal/...; \
+	done > benchmark_results
+	benchstat benchmark_results
+
+bench-baseline:
+	for i in 1 2 3; do \
+		go test -bench=. ./internal/...; \
+	done > benchmark_results_baseline
+
+bench-compare:
+	for i in 1 2 3; do \
+		go test -bench=. ./internal/...; \
+	done > benchmark_results
+	benchstat benchmark_results_baseline benchmark_results
 
 clean:
 	rm -f micro

=== debian/changelog ===
micro (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4
  * Include v2 in the path
  * Fix d/watch to fetch the right tarball
  * Refresh d/patches
  * Tighten dependency on golang-github-zyedidia-tcell-dev
  * Bump debhelper-compat to 13

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 29 May 2020 13:03:44 +0530

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: micro
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Raju Devidas <rajudev@disroot.org>,
            Utkarsh Gupta <utkarsh@debian.org>
 Section: editors
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-blang-semver-dev,
@@ -20,7 +19,7 @@
                golang-github-yuin-gopher-lua-dev,
                golang-github-zyedidia-clipboard-dev,
                golang-github-zyedidia-glob-dev,
-               golang-github-zyedidia-tcell-dev (>= 1.4.4),
+               golang-github-zyedidia-tcell-dev (>= 1.4.5),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
                golang-github-zyedidia-terminal-dev,

=== debian/rules ===
#!/usr/bin/make -f

# Export DEB_VERSION
include /usr/share/dpkg/pkg-info.mk

# Linker variables from upstream (micro) Makefile
export VERSION := $(shell echo $(DEB_VERSION) | cut -d'-' -f1)

export ADDITIONAL_GO_LINKER_FLAGS := $(shell GOOS=$(shell go env GOHOSTOS) \
	GOARCH=$(shell go env GOHOSTARCH) \
	go run tools/info-plist.go "$(VERSION)")

# Disable cgo to avoid lintian warn: 'hardening-no-fortify-functions'
export CGO_ENABLED = 0

# Define build target
export DH_GOLANG_BUILDPKG := github.com/zyedidia/micro/cmd/micro

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- -buildmode=pie \
	-ldflags="-extldflags -Wl,-z,now -s -w -X 'github.com/zyedidia/micro/v2/internal/util.Version=$(VERSION)' -X 'github.com/zyedidia/micro/v2/internal/util.CommitHash=$(HASH)' -X 'github.com/zyedidia/micro/v2/internal/util.CompileDate=$(DATE)' $(ADDITIONAL_GO_LINKER_FLAGS)"

override_dh_auto_install:
	dh_auto_install -- --no-source

## micro 2.0.6

=== Makefile ===
--- 
+++ 
@@ -46,6 +46,7 @@
 # Builds the runtime
 runtime:
 	git submodule update --init
+	rm -f runtime/syntax/*.hdr
 	go run runtime/syntax/make_headers.go runtime/syntax
 	go build -o tools/bindata ./tools/go-bindata
 	tools/bindata -pkg config -nomemcopy -nometadata -o runtime.go runtime/...
@@ -63,6 +64,7 @@
 
 test:
 	go test ./internal/...
+	go test ./cmd/...
 
 bench:
 	for i in 1 2 3; do \
@@ -79,7 +81,7 @@
 	for i in 1 2 3; do \
 		go test -bench=. ./internal/...; \
 	done > benchmark_results
-	benchstat benchmark_results_baseline benchmark_results
+	benchstat -alpha 0.15 benchmark_results_baseline benchmark_results
 
 clean:
 	rm -f micro

=== debian/changelog ===
micro (2.0.6-2) unstable; urgency=medium

  * Revert "Include v2 in the path"
    - as it re-introduces the problem as described
      in #953400.

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 29 Jun 2020 21:51:46 +0530

micro (2.0.6-1) unstable; urgency=medium

  * New upstream version 2.0.6
  * Tighten dependency on tcell to 1.4.8 (Closes: #961853)
  * Refresh d/patches

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 25 Jun 2020 16:04:56 +0530

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                golang-github-yuin-gopher-lua-dev,
                golang-github-zyedidia-clipboard-dev,
                golang-github-zyedidia-glob-dev,
-               golang-github-zyedidia-tcell-dev (>= 1.4.5),
+               golang-github-zyedidia-tcell-dev (>= 1.4.8),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
                golang-github-zyedidia-terminal-dev,

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 override_dh_auto_build:
 	dh_auto_build -- -buildmode=pie \
-	-ldflags="-extldflags -Wl,-z,now -s -w -X 'github.com/zyedidia/micro/v2/internal/util.Version=$(VERSION)' -X 'github.com/zyedidia/micro/v2/internal/util.CommitHash=$(HASH)' -X 'github.com/zyedidia/micro/v2/internal/util.CompileDate=$(DATE)' $(ADDITIONAL_GO_LINKER_FLAGS)"
+	-ldflags="-extldflags -Wl,-z,now -s -w -X 'github.com/zyedidia/micro/internal/util.Version=$(VERSION)' -X 'github.com/zyedidia/micro/internal/util.CommitHash=$(HASH)' -X 'github.com/zyedidia/micro/internal/util.CompileDate=$(DATE)' $(ADDITIONAL_GO_LINKER_FLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source

## micro 2.0.8

=== debian/changelog ===
micro (2.0.8-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 2.0.8
  * Remove CompileDate and CommitHash as they're redundant
  * Refresh d/patches
  * Add new dependency on golang-github-xo-terminfo-dev
  * Tighten dependency on golang-github-zyedidia-tcell-dev
  * Tighten dependency on golang-github-zyedidia-clipboard
  * Replace myself as the maintainer

  [ Nilesh Patra ]
  * Add dependency on golang-github-stretchr-testify-dev
    (Closes: #975194)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 24 Nov 2020 23:51:02 +0530

## micro 2.0.9

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,8 @@
 DATE = $(shell GOOS=$(shell go env GOHOSTOS) GOARCH=$(shell go env GOHOSTARCH) \
 	go run tools/build-date.go)
 ADDITIONAL_GO_LINKER_FLAGS = $(shell GOOS=$(shell go env GOHOSTOS) \
-	GOARCH=$(shell go env GOHOSTARCH))
+	GOARCH=$(shell go env GOHOSTARCH) \
+	go run tools/info-plist.go "$(VERSION)")
 GOBIN ?= $(shell go env GOPATH)/bin
 GOVARS = -X github.com/zyedidia/micro/v2/internal/util.Version=$(VERSION) -X github.com/zyedidia/micro/v2/internal/util.CommitHash=$(HASH) -X 'github.com/zyedidia/micro/v2/internal/util.CompileDate=$(DATE)'
 DEBUGVAR = -X github.com/zyedidia/micro/v2/internal/util.Debug=ON
@@ -14,20 +15,20 @@
 
 # Builds micro after checking dependencies but without updating the runtime
 build:
-	go build -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
+	go build -trimpath -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
 
 build-dbg:
-	go build -ldflags "-s -w $(ADDITIONAL_GO_LINKER_FLAGS) $(DEBUGVAR)" ./cmd/micro
+	go build -trimpath -ldflags "-s -w $(ADDITIONAL_GO_LINKER_FLAGS) $(DEBUGVAR)" ./cmd/micro
 
 build-tags: fetch-tags
-	go build -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
+	go build -trimpath -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
 
 # Builds micro after building the runtime and checking dependencies
 build-all: runtime build
 
 # Builds micro without checking for dependencies
 build-quick:
-	go build -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
+	go build -trimpath -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
 
 # Same as 'build' but installs to $GOBIN afterward
 install:

=== debian/changelog ===
micro (2.0.9-1ubuntu0.22.04.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 22:26:09 +0000

micro (2.0.9-1ubuntu0.22.04.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 02 May 2023 14:56:53 +0530

micro (2.0.9-1ubuntu0.22.04.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 31 Jan 2023 19:24:28 +0100

micro (2.0.9-1build1) jammy; urgency=medium

  * No-change rebuild against Go 1.17

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 30 Nov 2021 13:54:05 -0600

micro (2.0.9-1) experimental; urgency=medium

  * New upstream version 2.0.9
  * Refresh d/patches

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 11 Jun 2021 05:20:41 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: micro
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Raju Devidas <rajudev@disroot.org>,
-           Utkarsh Gupta <utkarsh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utkarsh Gupta <utkarsh@debian.org>
 Section: editors
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -17,15 +16,17 @@
                golang-github-sergi-go-diff-dev,
                golang-github-smartystreets-goconvey-dev,
                golang-github-yuin-gopher-lua-dev,
-               golang-github-zyedidia-clipboard-dev,
+               golang-github-zyedidia-clipboard-dev (>= 1.0.3),
                golang-github-zyedidia-glob-dev,
-               golang-github-zyedidia-tcell-dev (>= 1.4.8),
+               golang-github-zyedidia-tcell-dev (>= 2.0.6),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
                golang-github-zyedidia-terminal-dev,
                golang-github-flynn-json5-dev,
                golang-github-zyedidia-pty-dev,
                golang-github-kballard-go-shellquote-dev,
+               golang-github-xo-terminfo-dev,
+               golang-github-stretchr-testify-dev,
                golang-github-robertkrimen-otto-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/micro

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,9 @@
 
 override_dh_auto_build:
 	dh_auto_build -- -buildmode=pie \
-	-ldflags="-extldflags -Wl,-z,now -s -w -X 'github.com/zyedidia/micro/internal/util.Version=$(VERSION)' -X 'github.com/zyedidia/micro/internal/util.CommitHash=$(HASH)' -X 'github.com/zyedidia/micro/internal/util.CompileDate=$(DATE)' $(ADDITIONAL_GO_LINKER_FLAGS)"
+	-ldflags="-extldflags -Wl,-z,now -s -w -X 'github.com/zyedidia/micro/internal/util.Version=$(VERSION)' $(ADDITIONAL_GO_LINKER_FLAGS)"
+# Adding CompileDate is bad reproducibility and
+# adding CommitHash is redundant as we don't use that to build a package.
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source

## micro 2.0.11

=== debian/changelog ===
micro (2.0.11-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:16:49 +1200

micro (2.0.11-3) unstable; urgency=medium

  * Team Upload.
  * De-vendor zyedidia-clipper, use the debian-packaged one

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Jun 2023 00:08:38 +0530

micro (2.0.11-2) unstable; urgency=medium

  * Team Upload.
  * Generate required runtime assets to preserve
    highlighting in the statically compiled binary
    (Closes: #1033415)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Apr 2023 00:38:03 +0530

micro (2.0.11-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.0.11 (Refresh patches)
  * Fix d/watch to pickup correct version from github
  * d/rules:
    + Install some extra modules
    + Remove un-needed additional go flags
  * Vendor an ext module which is unpackaged at the moment
  * Add micro's desktop as well (with icon)
  * Add maintainer scripts to update editor alternatives
    after installation and prior to removal (Closes: #977458)
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Feb 2023 00:52:41 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: micro
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utkarsh Gupta <utkarsh@debian.org>
+Maintainer: Utkarsh Gupta <utkarsh@debian.org>
 Section: editors
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -16,11 +15,11 @@
                golang-github-sergi-go-diff-dev,
                golang-github-smartystreets-goconvey-dev,
                golang-github-yuin-gopher-lua-dev,
-               golang-github-zyedidia-clipboard-dev (>= 1.0.3),
                golang-github-zyedidia-glob-dev,
                golang-github-zyedidia-tcell-dev (>= 2.0.6),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
+               golang-github-zyedidia-clipper-dev,
                golang-github-zyedidia-terminal-dev,
                golang-github-flynn-json5-dev,
                golang-github-zyedidia-pty-dev,
@@ -28,7 +27,7 @@
                golang-github-xo-terminfo-dev,
                golang-github-stretchr-testify-dev,
                golang-github-robertkrimen-otto-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/micro
 Vcs-Git: https://salsa.debian.org/go-team/packages/micro.git
 Homepage: https://micro-editor.github.io

=== debian/rules ===
#!/usr/bin/make -f

# Export DEB_VERSION
include /usr/share/dpkg/pkg-info.mk

# Linker variables from upstream (micro) Makefile
export VERSION := $(shell echo $(DEB_VERSION) | cut -d'-' -f1)

# Extra plugins that need installation
export DH_GOLANG_INSTALL_EXTRA := runtime/colorschemes runtime/help runtime/plugins runtime/syntax

# Disable cgo to avoid lintian warn: 'hardening-no-fortify-functions'
export CGO_ENABLED = 0

# Define build target
export DH_GOLANG_BUILDPKG := github.com/zyedidia/micro/cmd/micro

%:
	dh $@ --buildsystem=golang --with=golang

execute_before_dh_auto_configure:
	sed -i -e 's|Icon=micro|Icon=/usr/share/micro/micro-logo-mark.svg|g' assets/packaging/micro.desktop

override_dh_auto_build:
	cd obj-$(DEB_BUILD_GNU_TYPE) && GOCACHE=/tmp/gocache GO111MODULE=off GOPATH=$$(pwd) go generate github.com/zyedidia/micro/runtime && cd ..
	dh_auto_build -- -buildmode=pie \
	-ldflags="-extldflags -Wl,-z,now -s -w -X 'github.com/zyedidia/micro/internal/util.Version=$(VERSION)'"
# Adding CompileDate is bad reproducibility and
# adding CommitHash is redundant as we don't use that to build a package.

override_dh_auto_install:
	dh_auto_install -- --no-source

## micro 2.0.13

=== Makefile ===
.PHONY: runtime build generate build-quick

VERSION = $(shell GOOS=$(shell go env GOHOSTOS) GOARCH=$(shell go env GOHOSTARCH) \
	go run tools/build-version.go)
HASH = $(shell git rev-parse --short HEAD)
DATE = $(shell GOOS=$(shell go env GOHOSTOS) GOARCH=$(shell go env GOHOSTARCH) \
	go run tools/build-date.go)
ADDITIONAL_GO_LINKER_FLAGS = $(shell GOOS=$(shell go env GOHOSTOS) \
	GOARCH=$(shell go env GOHOSTARCH) \
	go run tools/info-plist.go "$(shell go env GOOS)" "$(VERSION)")
GOBIN ?= $(shell go env GOPATH)/bin
GOVARS = -X github.com/zyedidia/micro/v2/internal/util.Version=$(VERSION) -X github.com/zyedidia/micro/v2/internal/util.CommitHash=$(HASH) -X 'github.com/zyedidia/micro/v2/internal/util.CompileDate=$(DATE)'
DEBUGVAR = -X github.com/zyedidia/micro/v2/internal/util.Debug=ON
VSCODE_TESTS_BASE_URL = 'https://raw.githubusercontent.com/microsoft/vscode/e6a45f4242ebddb7aa9a229f85555e8a3bd987e2/src/vs/editor/test/common/model/'

build: generate build-quick

build-quick:
	go build -trimpath -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro

build-dbg:
	go build -trimpath -ldflags "-s -w $(ADDITIONAL_GO_LINKER_FLAGS) $(DEBUGVAR)" ./cmd/micro

build-tags: fetch-tags generate
	go build -trimpath -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro

build-all: build

install: generate
	go install -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro

install-all: install

fetch-tags:
	git fetch --tags

generate:
	GOOS=$(shell go env GOHOSTOS) GOARCH=$(shell go env GOHOSTARCH) go generate ./runtime

testgen:
	mkdir -p tools/vscode-tests
	cd tools/vscode-tests && \
	curl --remote-name-all $(VSCODE_TESTS_BASE_URL){editableTextModelAuto,editableTextModel,model.line}.test.ts
	tsc tools/vscode-tests/*.ts > /dev/null; true
	go run tools/testgen.go tools/vscode-tests/*.js > buffer_generated_test.go
	mv buffer_generated_test.go internal/buffer
	gofmt -w internal/buffer/buffer_generated_test.go

test:
	go test ./internal/...
	go test ./cmd/...

bench:
	for i in 1 2 3; do \
		go test -bench=. ./internal/...; \
	done > benchmark_results
	benchstat benchmark_results

bench-baseline:
	for i in 1 2 3; do \
		go test -bench=. ./internal/...; \
	done > benchmark_results_baseline

bench-compare:
	for i in 1 2 3; do \
		go test -bench=. ./internal/...; \
	done > benchmark_results
	benchstat -alpha 0.15 benchmark_results_baseline benchmark_results

clean:
	rm -f micro

=== debian/changelog ===
micro (2.0.13-1) unstable; urgency=medium

  [ Bo YU ]
  * New upstream version 2.0.13
  * rebase patch
  * switch to creack/pty in B-D
  * Add versioned golang-github-zyedidia-terminal-dev in B-D

  [ Nilesh Patra ]
  * Add versioned B-D on golang-github-zyedidia-tcell
  * Add patch instead of configure rule to change Icon path
    to debian location (Closes: #1047981)
  * Remove NoDisplay field from desktop file
  * Add myself to uploaders

 -- Nilesh Patra <nilesh@debian.org>  Wed, 25 Oct 2023 19:53:41 +0530

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: micro
 Maintainer: Utkarsh Gupta <utkarsh@debian.org>
+Uploaders: Nilesh Patra <nilesh@debian.org>
 Section: editors
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -16,13 +17,13 @@
                golang-github-smartystreets-goconvey-dev,
                golang-github-yuin-gopher-lua-dev,
                golang-github-zyedidia-glob-dev,
-               golang-github-zyedidia-tcell-dev (>= 2.0.6),
+               golang-github-zyedidia-tcell-dev (>= 2.0.10),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
                golang-github-zyedidia-clipper-dev,
-               golang-github-zyedidia-terminal-dev,
+               golang-github-zyedidia-terminal-dev (>=0.0~git20230315.4b3bcf6),
                golang-github-flynn-json5-dev,
-               golang-github-zyedidia-pty-dev,
+               golang-github-creack-pty-dev,
                golang-github-kballard-go-shellquote-dev,
                golang-github-xo-terminfo-dev,
                golang-github-stretchr-testify-dev,

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,6 @@
 %:
 	dh $@ --buildsystem=golang --with=golang
 
-execute_before_dh_auto_configure:
-	sed -i -e 's|Icon=micro|Icon=/usr/share/micro/micro-logo-mark.svg|g' assets/packaging/micro.desktop
-
 override_dh_auto_build:
 	cd obj-$(DEB_BUILD_GNU_TYPE) && GOCACHE=/tmp/gocache GO111MODULE=off GOPATH=$$(pwd) go generate github.com/zyedidia/micro/runtime && cd ..
 	dh_auto_build -- -buildmode=pie \

=== debian/watch ===
version=4
https://github.com/zyedidia/micro/tags .*/v@ANY_VERSION@.tar.gz

## micro 2.0.14

=== debian/changelog ===
micro (2.0.14-1) unstable; urgency=medium

  * New upstream version 2.0.14
  * Add uversionmangle to convert -rc to ~rc

 -- Nilesh Patra <nilesh@debian.org>  Wed, 02 Oct 2024 16:17:08 +0530

micro (2.0.13-2) unstable; urgency=medium

  * Do not disable CGO (Closes: #1069475)
    + There is not much benefit here to disable CGO given
      that micro does not have CGO code and the difference
      in the binary is very minimal.
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 May 2024 12:24:47 +0530

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                golang-github-xo-terminfo-dev,
                golang-github-stretchr-testify-dev,
                golang-github-robertkrimen-otto-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/micro
 Vcs-Git: https://salsa.debian.org/go-team/packages/micro.git
 Homepage: https://micro-editor.github.io

=== debian/watch ===
version=4
opts="\
uversionmangle=s/\-rc/~rc/" \
https://github.com/zyedidia/micro/tags .*/v@ANY_VERSION@.tar.gz

## micro 2.0.15

=== Makefile ===
--- 
+++ 
@@ -5,24 +5,31 @@
 HASH = $(shell git rev-parse --short HEAD)
 DATE = $(shell GOOS=$(shell go env GOHOSTOS) GOARCH=$(shell go env GOHOSTARCH) \
 	go run tools/build-date.go)
-ADDITIONAL_GO_LINKER_FLAGS = $(shell GOOS=$(shell go env GOHOSTOS) \
-	GOARCH=$(shell go env GOHOSTARCH) \
-	go run tools/info-plist.go "$(shell go env GOOS)" "$(VERSION)")
 GOBIN ?= $(shell go env GOPATH)/bin
 GOVARS = -X github.com/zyedidia/micro/v2/internal/util.Version=$(VERSION) -X github.com/zyedidia/micro/v2/internal/util.CommitHash=$(HASH) -X 'github.com/zyedidia/micro/v2/internal/util.CompileDate=$(DATE)'
 DEBUGVAR = -X github.com/zyedidia/micro/v2/internal/util.Debug=ON
 VSCODE_TESTS_BASE_URL = 'https://raw.githubusercontent.com/microsoft/vscode/e6a45f4242ebddb7aa9a229f85555e8a3bd987e2/src/vs/editor/test/common/model/'
+CGO_ENABLED := $(if $(CGO_ENABLED),$(CGO_ENABLED),0)
+
+ADDITIONAL_GO_LINKER_FLAGS := ""
+GOHOSTOS = $(shell go env GOHOSTOS)
+ifeq ($(GOHOSTOS), darwin)
+	# Native darwin resp. macOS builds need external and dynamic linking
+	ADDITIONAL_GO_LINKER_FLAGS += $(shell GOOS=$(GOHOSTOS) \
+		GOARCH=$(shell go env GOHOSTARCH) \
+		go run tools/info-plist.go "$(shell go env GOOS)" "$(VERSION)")
+	CGO_ENABLED = 1
+endif
 
 build: generate build-quick
 
 build-quick:
-	go build -trimpath -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
+	CGO_ENABLED=$(CGO_ENABLED) go build -trimpath -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
 
 build-dbg:
-	go build -trimpath -ldflags "-s -w $(ADDITIONAL_GO_LINKER_FLAGS) $(DEBUGVAR)" ./cmd/micro
+	CGO_ENABLED=$(CGO_ENABLED) go build -trimpath -ldflags "$(ADDITIONAL_GO_LINKER_FLAGS) $(DEBUGVAR)" ./cmd/micro
 
-build-tags: fetch-tags generate
-	go build -trimpath -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
+build-tags: fetch-tags build
 
 build-all: build
 
@@ -32,7 +39,7 @@
 install-all: install
 
 fetch-tags:
-	git fetch --tags
+	git fetch --tags --force
 
 generate:
 	GOOS=$(shell go env GOHOSTOS) GOARCH=$(shell go env GOHOSTARCH) go generate ./runtime

=== debian/changelog ===
micro (2.0.15-2) unstable; urgency=medium

  * Drop patches to use original packages instead of forks
  * Vendor micro-editor/{json5,tcell/v2} as well -- add copyrights

 -- Nilesh Patra <nilesh@debian.org>  Sat, 17 Jan 2026 21:48:49 +0530

micro (2.0.15-1) unstable; urgency=medium

  * New upstream version 2.0.15
  * Switch to Static-Built-Using
  * Refresh patches
  * d/watch: move to version 5
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.3 (no changes needed)
  * Drop Priority: optional
  * Vendor github.com/micro-editor/terminal

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 Jan 2026 23:09:44 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Nilesh Patra <nilesh@debian.org>
 Section: editors
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
@@ -17,22 +16,21 @@
                golang-github-smartystreets-goconvey-dev,
                golang-github-yuin-gopher-lua-dev,
                golang-github-zyedidia-glob-dev,
-               golang-github-zyedidia-tcell-dev (>= 2.0.10),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
                golang-github-zyedidia-clipper-dev,
                golang-github-zyedidia-terminal-dev (>=0.0~git20230315.4b3bcf6),
-               golang-github-flynn-json5-dev,
                golang-github-creack-pty-dev,
                golang-github-kballard-go-shellquote-dev,
                golang-github-xo-terminfo-dev,
                golang-github-stretchr-testify-dev,
-               golang-github-robertkrimen-otto-dev
-Standards-Version: 4.7.0
+# Build dep of dependencies
+               golang-github-gdamore-encoding-dev,
+               golang-github-lucasb-eyer-go-colorful-dev
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/micro
 Vcs-Git: https://salsa.debian.org/go-team/packages/micro.git
 Homepage: https://micro-editor.github.io
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/zyedidia/micro
 
 Package: micro
@@ -40,7 +38,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: xclip
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: modern and intuitive terminal-based text editor
  micro is a terminal-based text editor that aims to be easy to use and
  intuitive, while also taking advantage of the full capabilities of

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,18 @@
 # Extra plugins that need installation
 export DH_GOLANG_INSTALL_EXTRA := runtime/colorschemes runtime/help runtime/plugins runtime/syntax
 
-# Disable cgo to avoid lintian warn: 'hardening-no-fortify-functions'
-export CGO_ENABLED = 0
-
 # Define build target
 export DH_GOLANG_BUILDPKG := github.com/zyedidia/micro/cmd/micro
 
 %:
 	dh $@ --buildsystem=golang --with=golang
+
+execute_before_dh_auto_configure:
+	cp -av $(CURDIR)/debian/vendor $(CURDIR)
+
+override_dh_clean:
+	dh_clean
+	rm -fr vendor/
 
 override_dh_auto_build:
 	cd obj-$(DEB_BUILD_GNU_TYPE) && GOCACHE=/tmp/gocache GO111MODULE=off GOPATH=$$(pwd) go generate github.com/zyedidia/micro/runtime && cd ..

=== debian/watch ===
Version: 5

Template: Github
Owner: zyedidia
Project: micro
UVersion-Mangle: s/-rc/~rc/
